[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Dos' (#rtl)

# GetLongName

Get the long filename of a DOS 8.3 filename.

## Declaration

Source position: dosh.inc line 115

`function GetLongName(`
`var p: string`
`):Boolean;`

## Description

This function is only implemented in the GO32V2 and Win32 versions of Free Pascal.

GetLongName changes the filename p to a long filename if the API call to do this is successful. The resulting string is the long file name corresponding to the short filename p.

The function returns True if the API call was successful, False otherwise.

This function should only be necessary when using the DOS extender under Windows 95 and higher.

## Errors

If the API call was not successful, False is returned.

## See also

GetShortName |  | Get the short (8.3) filename of a long filename.